js_match_offset(3)

NAME
js_match_offset - search for any literal character in exp in the string js

SYNOPSIS
#include JsStr.h

int js_match_offset(js_string *exp, js_string *js, int offset)

DESCRIPTION
js_match_offset searches for any single character in the expression exp in the string js. The expression exp is treated as a list of characters we look for in the string js. No characters are considered metacharacters in the expression exp. The argument offset determines the minimum offset we will look for a character in the expression exp at. An offset of 0 indicates we start looking at the beginning of the string js, an offset of 1 means that we will start looking at the second character in the string, and so on.

RETURN VALUE
js_match_offset returns -2 if none of the characters in exp was found in the string js, the offset of the first found character if the string was found (0 if it was found at the top of the string, 1 if it was found starting at the second character in the string, etc), and JS_ERROR if there was an error when searching for a character in the expression.

EXAMPLE
The following example will find the second character 3 in the string "543" in the string "3634567890":
	js_string *foo, *bar;
	foo = js_create(256,1);
	bar = js_create(256,1);
	js_str2js(foo,"3634567890",10,1);
	js_str2js(bar,"543",3,1);
	printf("%d\n",js_match_offset(bar,foo,1)); /* You will see 2 */

AUTHOR
Sam Trenholme <kiwi-zttfryb@koala.samiam.org>